org.apache.ignite.internal.processors.cache

## Class ExchangeActions

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.ExchangeActions

    public class ExchangeActions
    extends Object

Cache change requests to execute when receive `DynamicCacheChangeBatch` event.

### Nested Class Summary

Nested Classes
`static class` `ExchangeActions.CacheActionData`
`static class` `ExchangeActions.CacheGroupActionData`

### Constructor Summary

Constructors
Constructor and Description
`ExchangeActions()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `activate()`
`void` `addCacheGroupToStop(CacheGroupDescriptor grpDesc, boolean destroy)`
`void` `addCacheToStop(DynamicCacheChangeRequest req, DynamicCacheDescriptor desc)`
`boolean` `cacheGroupStarting(int grpId)`
`boolean` `cacheGroupStopping(int grpId)`
`List<ExchangeActions.CacheGroupActionData>` `cacheGroupsToStart()`
`List<ExchangeActions.CacheGroupActionData>` `cacheGroupsToStop()`
`boolean` `cacheStarted(int cacheId)`
`Collection<ExchangeActions.CacheActionData>` `cacheStartRequests()`
`boolean` `cacheStopped(int cacheId)`
`Collection<ExchangeActions.CacheActionData>` `cacheStopRequests()`
`Set<String>` `cachesToResetLostPartitions()`
`boolean` `changedBaseline()`
`boolean` `changedClusterState()`
`boolean` `clientOnlyExchange()`
`void` `completeRequestFutures(GridCacheSharedContext ctx, Throwable err)`
`boolean` `deactivate()`
`boolean` `empty()`
`boolean` `hasStop()`
`LocalJoinCachesContext` `localJoinContext()`
`void` `localJoinContext(LocalJoinCachesContext locJoinCtx)`
`@Nullable StateChangeRequest` `stateChangeRequest()`
`void` `stateChangeRequest(StateChangeRequest stateChange)`
`boolean` `systemCachesStarting()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExchangeActions

    public ExchangeActions()

### Method Detail

#### clientOnlyExchange

    public boolean clientOnlyExchange()

Returns:
  `True` if server nodes should not participate in exchange.

#### cacheStartRequests

    public Collection<ExchangeActions.CacheActionData> cacheStartRequests()

Returns:
  New caches start requests.

#### cacheStopRequests

    public Collection<ExchangeActions.CacheActionData> cacheStopRequests()

Returns:
  Stop cache requests.

#### completeRequestFutures

    public void completeRequestFutures(GridCacheSharedContext ctx,
                                       Throwable err)

Parameters:
  `ctx` - Context.
  `err` - Error if any.

#### systemCachesStarting

    public boolean systemCachesStarting()

Returns:
  `True` if starting system caches.

#### hasStop

    public boolean hasStop()

Returns:
  `True` if have cache stop requests.

#### cachesToResetLostPartitions

    public Set<String> cachesToResetLostPartitions()

Returns:
  Caches to reset lost partitions for.

#### cacheStopped

    public boolean cacheStopped(int cacheId)

Parameters:
  `cacheId` - Cache ID.
Returns:
  `True` if cache stop was requested.

#### cacheStarted

    public boolean cacheStarted(int cacheId)

Parameters:
  `cacheId` - Cache ID.
Returns:
  `True` if cache start was requested.

#### stateChangeRequest

    public void stateChangeRequest(StateChangeRequest stateChange)

Parameters:
  `stateChange` - Cluster state change request.

#### deactivate

    public boolean deactivate()

Returns:
  `True` if has deactivate request.

#### activate

    public boolean activate()

Returns:
  `True` if has activate request.

#### changedClusterState

    public boolean changedClusterState()

Returns:
  `True` if cluster state was changed.

#### changedBaseline

    public boolean changedBaseline()

Returns:
  `True` if has baseline topology change request.

#### stateChangeRequest

    @Nullable
    public @Nullable StateChangeRequest stateChangeRequest()

Returns:
  Cluster state change request.

#### addCacheToStop

    public void addCacheToStop(DynamicCacheChangeRequest req,
                               DynamicCacheDescriptor desc)

Parameters:
  `req` - Request.
  `desc` - Cache descriptor.

#### cacheGroupsToStart

    public List<ExchangeActions.CacheGroupActionData> cacheGroupsToStart()

Returns:
  Cache groups to start.

#### cacheGroupStarting

    public boolean cacheGroupStarting(int grpId)

Parameters:
  `grpId` - Group ID.
Returns:
  `True` if given cache group starting.

#### addCacheGroupToStop

    public void addCacheGroupToStop(CacheGroupDescriptor grpDesc,
                                    boolean destroy)

Parameters:
  `grpDesc` - Group descriptor.
  `destroy` - Destroy flag.

#### cacheGroupsToStop

    public List<ExchangeActions.CacheGroupActionData> cacheGroupsToStop()

Returns:
  Cache groups to start.

#### cacheGroupStopping

    public boolean cacheGroupStopping(int grpId)

Parameters:
  `grpId` - Group ID.
Returns:
  `True` if given cache group stopping.

#### empty

    public boolean empty()

Returns:
  `True` if there are no cache change actions.

#### localJoinContext

    public void localJoinContext(LocalJoinCachesContext locJoinCtx)

Parameters:
  `locJoinCtx` - Caches local join context.

#### localJoinContext

    public LocalJoinCachesContext localJoinContext()

Returns:
  Caches local join context.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020